CVE-2020-35498

NameCVE-2020-35498
DescriptionA vulnerability was found in openvswitch. A limitation in the implementation of userspace packet parsing can allow a malicious user to send a specially crafted packet causing the resulting megaflow in the kernel to be too wide, potentially causing a denial of service. The highest threat from this vulnerability is to system availability.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2571-1, DSA-4852-1
NVD severityhigh
Debian Bugs982493

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openvswitch (PTS)stretch2.6.2~pre+git20161223-3vulnerable
stretch (security)2.6.10-0+deb9u1fixed
buster2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12+deb10u2vulnerable
buster (security)2.10.7+ds1-0+deb10u1fixed
bullseye, sid2.15.0+ds1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openvswitchsourcestretch2.6.10-0+deb9u1DLA-2571-1
openvswitchsourcebuster2.10.7+ds1-0+deb10u1DSA-4852-1
openvswitchsource(unstable)2.15.0~git20210104.def6eb1ea+dfsg1-5982493

Notes

master: https://github.com/openvswitch/ovs/commit/79349cbab0b2a755140eedb91833ad2760520a83
2.15: https://github.com/openvswitch/ovs/commit/0625dc79aec73b966f206e55655a2816696246d0
2.10: https://github.com/openvswitch/ovs/commit/79cec1a736b91548ec882d840986a11affda1068
2.6: https://github.com/openvswitch/ovs/commit/673c08eee8c8d4f2999ddd31524de7ff0f72b559
https://www.openwall.com/lists/oss-security/2021/02/10/4

Search for package or bug name: Reporting problems